#
# spec file for package mtdev
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mtdev
Version:        1.1.5
Release:        4.3
Summary:        Multitouch Protocol Translation Library
License:        MIT
Group:          System/Libraries
Url:            http://bitmath.org/code/mtdev/
Source:         http://bitmath.org/code/mtdev/mtdev-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The mtdev is a stand-alone library which transforms all variants of kernel MT events to the slotted type B protocol. The events put into mtdev may be from any MT device, specifically type A without contact tracking, type A with contact tracking, or type B with contact tracking. See the kernel documentation for further details.

%package -n libmtdev1
Summary:        Multitouch Protocol Translation Library
Group:          System/Libraries

%description -n libmtdev1
The mtdev is a stand-alone library which transforms all variants of kernel MT events to the slotted type B protocol. The events put into mtdev may be from any MT device, specifically type A without contact tracking, type A with contact tracking, or type B with contact tracking. See the kernel documentation for further details.

%package devel
Summary:        Development package for mtdev library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libmtdev1 = %{version}

%description devel
This package contains the files needed to compile programs that use mtdev library.

%prep
%setup -q

%build
%configure \
	--enable-static=no
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libmtdev1 -p /sbin/ldconfig

%postun -n libmtdev1 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README
%{_bindir}/*

%files -n libmtdev1
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 28 2015 mpluskal@suse.com
- Update to 1.1.5
  * Make it possible to build the source out-of-tree. The
    gnome-continuous build system does this by default.
  * Some tests do #include  relative to the top-level, so add
    top_srcdir to the include path as otherwise out-of-tree
    builds can't find the files.
* Tue Feb 11 2014 coolo@suse.com
- add baselibs.conf to satisfy libqt5-base-32bit
* Thu Sep  5 2013 sndirsch@suse.com
- update to release 1.1.4; changes since 1.1.0:
  * mtdev_close should ignore NULL devices.
  * Return EINVAL for invalid parameters on mtdev_init.
  * Add the missing distance event to the internal slot
    representation
  * Add support for kernel MT slot state retrieval
  * Fix pc file to allow compiling with mtdev installed in non-std
    path.
  * Drop maintainer mode - enable by default
  * Rename INCLUDES to AM_CPPFLAGS
  * Merge build fixes from Peter Hutterer.
  * Replace hardcoded 11 with a define
  * Fix compiler warning - implicit declaration of function 'abs'
  * test: silence compiler warning - implicit declaration of function
    ‘atoi’
  * Enable silent rules by default
  * Merge more build fixes from Peter Hutterer, along with a more
    explicit declaration of the backwards compatibility constraints
    on the API.
- removed obsolete patches:
  * U_Return-EINVAL-for-invalid-parameters-on-mtdev_init.patch
  * U_mtdev_close-should-ignore-NULL-devices.patch
  * mtdev-implicit.diff
* Sun Feb 12 2012 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Add patch to fix use of implicitly-defined functions
* Fri Jan 13 2012 sndirsch@suse.com
- let devel package require the lib package instead of the package
  for the binaries
* Thu Jan 12 2012 cfarrell@suse.com
- license update: MIT
  SPDX format
* Tue Jan 10 2012 sndirsch@suse.com
- renamed patches according to our patch naming theme
* Thu Aug 11 2011 tiwai@suse.de
- initial version: 1.1.0
